<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <artifactId>cms-test-commons</artifactId>
    <version>1.0.4</version>
    <name>CMS Test Commons</name>


    <parent>
        <groupId>org.gcube.application.cms</groupId>
        <artifactId>gcube-cms-suite</artifactId>
        <version>1.0.4</version>
    </parent>


    <properties>
        <gitBaseUrl>https://code-repo.d4science.org/gCubeSystem</gitBaseUrl>
        <sis.version>1.0</sis.version>
    </properties>

    <scm>
        <connection>scm:git:${gitBaseUrl}/gcube-cms-suite</connection>
        <developerConnection>scm:git:${gitBaseUrl}/gcube-cms-suite</developerConnection>
        <url>${gitBaseUrl}/gcube-cms-suite</url>
    </scm>


    <dependencyManagement>
            <dependencies>
                <dependency>
                    <groupId>org.gcube.distribution</groupId>
                    <artifactId>gcube-bom</artifactId>
                    <version>${gcube-bom-version}</version>
                    <type>pom</type>
                    <scope>import</scope>
                </dependency>
                <dependency>
                    <groupId>org.gcube.distribution</groupId>
                    <artifactId>gcube-smartgears-bom</artifactId>
                    <version>${gcube-smartgears-bom-version}</version>
                    <type>pom</type>
                    <scope>import</scope>
                </dependency>
            </dependencies>
    </dependencyManagement>

    <dependencies>

        <dependency>
            <groupId>org.gcube.application.cms</groupId>
            <artifactId>geoportal-common</artifactId>
        </dependency>


        <dependency>
            <groupId>org.reflections</groupId>
            <artifactId>reflections</artifactId>
        </dependency>

        <dependency>
            <groupId>org.gcube.application.cms</groupId>
            <artifactId>cms-plugin-framework</artifactId>
            <scope>compile</scope>
        </dependency>

        <dependency>
            <groupId>ch.qos.logback</groupId>
            <artifactId>logback-classic</artifactId>
        </dependency>

        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
        </dependency>

        <dependency>
            <groupId>org.gcube.common</groupId>
            <artifactId>storagehub-client-library</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>


        <dependency>
            <groupId>org.gcube.common</groupId>
            <artifactId>authorization-utils</artifactId>
            <version>[2.0.0, 3.0.0-SNAPSHOT)</version>
        </dependency>

        <dependency>
            <groupId>org.gcube.common</groupId>
            <artifactId>authorization-client</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.gcube.common</groupId>
            <artifactId>common-authorization</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.gcube.core</groupId>
            <artifactId>common-encryption</artifactId>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>org.apache.logging.log4j</groupId>
            <artifactId>log4j-slf4j18-impl</artifactId>
            <version>2.13.3</version>
        </dependency>


        <!-- Missing in JDK 11 -->
        <dependency>
            <groupId>com.sun.xml.bind</groupId>
            <artifactId>jaxb-impl</artifactId>
        </dependency>

        <dependency>
            <groupId>org.glassfish.jaxb</groupId>
            <artifactId>jaxb-runtime</artifactId>
        </dependency>

        <dependency>
            <groupId>com.sun.xml.bind</groupId>
            <artifactId>jaxb-core</artifactId>
        </dependency>

        <dependency>
            <groupId>javax.activation</groupId>
            <artifactId>activation</artifactId>
        </dependency>


    </dependencies>

</project>